'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SshExecutor = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _query = require('./query');

var _query2 = _interopRequireDefault(_query);

var _ssh = require('./executors/ssh');

var _ssh2 = _interopRequireDefault(_ssh);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var JobWatch = function () {
  function JobWatch(executor) {
    _classCallCheck(this, JobWatch);

    this.executor = executor;
  }

  _createClass(JobWatch, [{
    key: 'query',
    value: function query() {
      return new _query2.default(this);
    }
  }, {
    key: 'execute',
    value: function execute(command) {
      return this.executor.execute(command);
    }
  }]);

  return JobWatch;
}();

exports.default = JobWatch;
exports.SshExecutor = _ssh2.default;