'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _concatStream = require('concat-stream');

var _concatStream2 = _interopRequireDefault(_concatStream);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var SshExecuter = function () {
  function SshExecuter(connection) {
    _classCallCheck(this, SshExecuter);

    this.connection = connection;
  }

  _createClass(SshExecuter, [{
    key: 'execute',
    value: function execute(command) {
      var _this = this;

      return new Promise(function (resolve, reject) {

        _this.connection.exec(command, function (err, stream) {
          if (err) {
            reject(err);
          } else {
            var concatStream = (0, _concatStream2.default)(function (buffer) {
              resolve(buffer.toString());
            });

            stream.pipe(concatStream);

            stream.stderr.on('data', function (buffer) {
              reject(buffer.toString());
            });
          }
        });
      });
    }
  }]);

  return SshExecuter;
}();

exports.default = SshExecuter;